List of timesheets by contract
Returns timesheets associated with the specified contract, with optional filtering by contract type, status, reporter, and date range.
Token scopes: timesheets:read
Authentication
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
Query parameters
Filter results to timesheets submitted on or after this date (inclusive). Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.
Filter results to timesheets submitted before this date (exclusive). Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.
Maximum number of records to return per page. NOTE: query parameters are passed as strings.
Number of records to skip before starting to return results. NOTE: query parameters are passed as strings.